Get Payment Link - Flex Documentation
Get Payment Link
cURL
curl --request GET \
--url https://api.withflex.com/v1/payment_links/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/payment_links/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/payment_links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/payment_links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/payment_links/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/payment_links/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/payment_links/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200
- 401
- 403
- 404
- 409
- 422
- 429
Sample Response
{
"payment_link": {
"payment_link_id": "fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"label": "Example",
"active": false,
"allow_promotion_codes": false,
"shipping_address_collection": false,
"shipping_options": {},
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"created_at": "2026-06-15T14:30:00Z",
"payment_intent_data": {},
"after_completion": {},
"origin": "shopify",
"tax_rate": {},
"setup_future_use": "on_session",
"test_mode": false
}
}
Error Response
{
"code": "string",
"detail": "string"
}
Authorizations
Use a Bearer token to access this API.
Path Parameters
- id: string, required
- Example: "fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response Structure
- 200: application/json
- An envelope wrapping a single payment link object.
- payment_link: object, required
- The payment link.
- Example:
{ "payment_link_id": "fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "label": "Example", "active": false, "allow_promotion_codes": false, "shipping_address_collection": false, "shipping_options": { "shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "shipping_amount": 2500, "display_name": "Example" }, "metadata": { "order_id": "8842", "channel": "shopify" }, "url": "https://example.com", "created_at": "2026-06-15T14:30:00Z", "payment_intent_data": { "capture_method": "automatic", "metadata": { "order_id": "8842", "channel": "shopify" } }, "after_completion": { "type": "redirect", "hosted_confirmation": {}, "redirect": {} }, "origin": "shopify", "tax_rate": { "amount": 2500 }, "setup_future_use": "on_session", "test_mode": false }
- payment_link: object, required
- An envelope wrapping a single payment link object.